<?xml version="1.0" encoding="UTF-8"  ?>
<!-- Created with iReport - A designer for JasperReports -->
<!DOCTYPE jasperReport PUBLIC "//JasperReports//DTD Report Design//EN" "http://jasperreports.sourceforge.net/dtds/jasperreport.dtd">
<jasperReport
		 name="Diplomes"
		 columnCount="1"
		 printOrder="Vertical"
		 orientation="Portrait"
		 pageWidth="535"
		 pageHeight="842"
		 columnWidth="535"
		 columnSpacing="0"
		 leftMargin="0"
		 rightMargin="0"
		 topMargin="0"
		 bottomMargin="0"
		 whenNoDataType="NoPages"
		 isTitleNewPage="false"
		 isSummaryNewPage="false">
	<property name="ireport.scriptlethandling" value="0" />
	<property name="ireport.encoding" value="UTF-8" />
	<import value="java.util.*" />
	<import value="net.sf.jasperreports.engine.*" />
	<import value="net.sf.jasperreports.engine.data.*" />

	<parameter name="NO_INDIVIDU" isForPrompting="true" class="java.lang.Integer">
		<defaultValueExpression ><![CDATA[new Integer(1610)]]></defaultValueExpression>
	</parameter>
	<queryString><![CDATA[SELECT 	I.D_DIPLOME,I.LIEU_DIPLOME,LL_DIPLOME, DECODE(D.C_NIVEAU_DIPLOME,'N','',L_NIVEAU_DIPLOME) as L_NIVEAU_DIPLOME,
SPECIALITE
FROM MANGUE.INDIVIDU_DIPLOMES I,GRHUM.DIPLOMES D, GRHUM.NIVEAU_DIPLOME N 
WHERE NO_INDIVIDU=$P{NO_INDIVIDU} AND D.C_DIPLOME = I.C_DIPLOME AND 
N.C_NIVEAU_DIPLOME=D.C_NIVEAU_DIPLOME ORDER by D_DIPLOME ASC]]></queryString>

	<field name="D_DIPLOME" class="java.sql.Timestamp"/>
	<field name="LIEU_DIPLOME" class="java.lang.String"/>
	<field name="LL_DIPLOME" class="java.lang.String"/>
	<field name="L_NIVEAU_DIPLOME" class="java.lang.String"/>
	<field name="SPECIALITE" class="java.lang.String"/>

	<variable name="Diplomes" class="java.lang.String" resetType="Report" calculation="Nothing">
		<variableExpression><![CDATA[((($V{COLUMN_COUNT}.intValue() == 0) || ($V{COLUMN_COUNT}.intValue() == 1)) ? "Diplôme":"Diplômes")]]></variableExpression>
	</variable>
	<variable name="ANNEE_DIPLOME" class="java.lang.String" resetType="Report" calculation="Nothing">
		<variableExpression><![CDATA[$F{D_DIPLOME}==null?"(non précisé)":$F{D_DIPLOME}.toString().substring(0,4)]]></variableExpression>
	</variable>
	<variable name="LIEU_DIPLOME" class="java.lang.String" resetType="Report" calculation="Nothing">
		<variableExpression><![CDATA[($F{LIEU_DIPLOME} == null ? "" : " à " + $F{LIEU_DIPLOME} )]]></variableExpression>
	</variable>
	<variable name="SPEC_DIPLOME" class="java.lang.String" resetType="Report" calculation="Nothing">
		<variableExpression><![CDATA[($F{SPECIALITE} == null ? "" : " (Spéc. : " + $F{SPECIALITE} + ")" )]]></variableExpression>
	</variable>
		<background>
			<band height="0"  isSplitAllowed="true" >
			</band>
		</background>
		<title>
			<band height="0"  isSplitAllowed="true" >
			</band>
		</title>
		<pageHeader>
			<band height="0"  isSplitAllowed="true" >
			</band>
		</pageHeader>
		<columnHeader>
			<band height="14"  isSplitAllowed="true" >
				<textField isStretchWithOverflow="false" pattern="" isBlankWhenNull="false" evaluationTime="Page" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						mode="Opaque"
						x="0"
						y="0"
						width="535"
						height="14"
						forecolor="#666666"
						backcolor="#FFFFFF"
						key="textField"/>
					<box topBorder="None" topBorderColor="#000000" leftBorder="None" leftBorderColor="#000000" rightBorder="None" rightBorderColor="#000000" bottomBorder="1Point" bottomBorderColor="#000000"/>
					<textElement textAlignment="Left" verticalAlignment="Top" rotation="None" lineSpacing="Single">
						<font fontName="Arial" pdfFontName="Helvetica-BoldOblique" size="10" isBold="true" isItalic="true" isUnderline="false" isPdfEmbedded ="false" pdfEncoding ="Cp1252" isStrikeThrough="false" />
					</textElement>
				<textFieldExpression   class="java.lang.String"><![CDATA[$V{Diplomes}]]></textFieldExpression>
				</textField>
			</band>
		</columnHeader>
		<detail>
			<band height="16"  isSplitAllowed="true" >
				<textField isStretchWithOverflow="false" pattern="" isBlankWhenNull="false" evaluationTime="Now" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						mode="Transparent"
						x="10"
						y="3"
						width="515"
						height="12"
						forecolor="#000000"
						backcolor="#FFFFFF"
						key="textField"/>
					<box topBorder="None" topBorderColor="#000000" leftBorder="None" leftBorderColor="#000000" rightBorder="None" rightBorderColor="#000000" bottomBorder="None" bottomBorderColor="#000000"/>
					<textElement textAlignment="Left" verticalAlignment="Top" rotation="None" lineSpacing="Single">
						<font fontName="Arial" pdfFontName="Helvetica" size="8" isBold="false" isItalic="false" isUnderline="false" isPdfEmbedded ="false" pdfEncoding ="Cp1252" isStrikeThrough="false" />
					</textElement>
				<textFieldExpression   class="java.lang.String"><![CDATA[$F{LL_DIPLOME} + " obtenu en "+ $V{ANNEE_DIPLOME} + $V{LIEU_DIPLOME} + $V{SPEC_DIPLOME}]]></textFieldExpression>
				</textField>
			</band>
		</detail>
		<columnFooter>
			<band height="0"  isSplitAllowed="true" >
			</band>
		</columnFooter>
		<pageFooter>
			<band height="0"  isSplitAllowed="true" >
			</band>
		</pageFooter>
		<summary>
			<band height="0"  isSplitAllowed="true" >
			</band>
		</summary>
</jasperReport>
